/*
Rewards API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package rewardsapi

import (
	"encoding/json"
)

// checks if the CouponingConfigDtoImportMetadataInner type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CouponingConfigDtoImportMetadataInner{}

// CouponingConfigDtoImportMetadataInner struct for CouponingConfigDtoImportMetadataInner
type CouponingConfigDtoImportMetadataInner struct {
	ConfigId string `json:"config_id"`
	UserId string `json:"user_id"`
	Skipped int32 `json:"skipped"`
	Imported int32 `json:"imported"`
	Updated int32 `json:"updated"`
}

// NewCouponingConfigDtoImportMetadataInner instantiates a new CouponingConfigDtoImportMetadataInner object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCouponingConfigDtoImportMetadataInner(configId string, userId string, skipped int32, imported int32, updated int32) *CouponingConfigDtoImportMetadataInner {
	this := CouponingConfigDtoImportMetadataInner{}
	this.ConfigId = configId
	this.UserId = userId
	this.Skipped = skipped
	this.Imported = imported
	this.Updated = updated
	return &this
}

// NewCouponingConfigDtoImportMetadataInnerWithDefaults instantiates a new CouponingConfigDtoImportMetadataInner object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCouponingConfigDtoImportMetadataInnerWithDefaults() *CouponingConfigDtoImportMetadataInner {
	this := CouponingConfigDtoImportMetadataInner{}
	return &this
}

// GetConfigId returns the ConfigId field value
func (o *CouponingConfigDtoImportMetadataInner) GetConfigId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ConfigId
}

// GetConfigIdOk returns a tuple with the ConfigId field value
// and a boolean to check if the value has been set.
func (o *CouponingConfigDtoImportMetadataInner) GetConfigIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ConfigId, true
}

// SetConfigId sets field value
func (o *CouponingConfigDtoImportMetadataInner) SetConfigId(v string) {
	o.ConfigId = v
}

// GetUserId returns the UserId field value
func (o *CouponingConfigDtoImportMetadataInner) GetUserId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.UserId
}

// GetUserIdOk returns a tuple with the UserId field value
// and a boolean to check if the value has been set.
func (o *CouponingConfigDtoImportMetadataInner) GetUserIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.UserId, true
}

// SetUserId sets field value
func (o *CouponingConfigDtoImportMetadataInner) SetUserId(v string) {
	o.UserId = v
}

// GetSkipped returns the Skipped field value
func (o *CouponingConfigDtoImportMetadataInner) GetSkipped() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Skipped
}

// GetSkippedOk returns a tuple with the Skipped field value
// and a boolean to check if the value has been set.
func (o *CouponingConfigDtoImportMetadataInner) GetSkippedOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Skipped, true
}

// SetSkipped sets field value
func (o *CouponingConfigDtoImportMetadataInner) SetSkipped(v int32) {
	o.Skipped = v
}

// GetImported returns the Imported field value
func (o *CouponingConfigDtoImportMetadataInner) GetImported() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Imported
}

// GetImportedOk returns a tuple with the Imported field value
// and a boolean to check if the value has been set.
func (o *CouponingConfigDtoImportMetadataInner) GetImportedOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Imported, true
}

// SetImported sets field value
func (o *CouponingConfigDtoImportMetadataInner) SetImported(v int32) {
	o.Imported = v
}

// GetUpdated returns the Updated field value
func (o *CouponingConfigDtoImportMetadataInner) GetUpdated() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Updated
}

// GetUpdatedOk returns a tuple with the Updated field value
// and a boolean to check if the value has been set.
func (o *CouponingConfigDtoImportMetadataInner) GetUpdatedOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Updated, true
}

// SetUpdated sets field value
func (o *CouponingConfigDtoImportMetadataInner) SetUpdated(v int32) {
	o.Updated = v
}

func (o CouponingConfigDtoImportMetadataInner) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CouponingConfigDtoImportMetadataInner) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["config_id"] = o.ConfigId
	toSerialize["user_id"] = o.UserId
	toSerialize["skipped"] = o.Skipped
	toSerialize["imported"] = o.Imported
	toSerialize["updated"] = o.Updated
	return toSerialize, nil
}

type NullableCouponingConfigDtoImportMetadataInner struct {
	value *CouponingConfigDtoImportMetadataInner
	isSet bool
}

func (v NullableCouponingConfigDtoImportMetadataInner) Get() *CouponingConfigDtoImportMetadataInner {
	return v.value
}

func (v *NullableCouponingConfigDtoImportMetadataInner) Set(val *CouponingConfigDtoImportMetadataInner) {
	v.value = val
	v.isSet = true
}

func (v NullableCouponingConfigDtoImportMetadataInner) IsSet() bool {
	return v.isSet
}

func (v *NullableCouponingConfigDtoImportMetadataInner) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCouponingConfigDtoImportMetadataInner(val *CouponingConfigDtoImportMetadataInner) *NullableCouponingConfigDtoImportMetadataInner {
	return &NullableCouponingConfigDtoImportMetadataInner{value: val, isSet: true}
}

func (v NullableCouponingConfigDtoImportMetadataInner) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCouponingConfigDtoImportMetadataInner) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


